summaryrefslogtreecommitdiff
path: root/tests/dd/nocache.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/dd/nocache.sh')
-rwxr-xr-xtests/dd/nocache.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/dd/nocache.sh b/tests/dd/nocache.sh
index 33421480a..e7fdf4e5e 100755
--- a/tests/dd/nocache.sh
+++ b/tests/dd/nocache.sh
@@ -23,10 +23,10 @@ print_ver_ dd
dd iflag=nocache oflag=nocache if=/dev/null of=/dev/null || fail=1
# We should get an error for trying to process a pipe
-dd count=0 | dd iflag=nocache count=0 && fail=1
+dd count=0 | returns_ 1 dd iflag=nocache count=0 || fail=1
# O_DIRECT is orthogonal to drop cache so mutually exclusive
-dd iflag=nocache,direct if=/dev/null && fail=1
+returns_ 1 dd iflag=nocache,direct if=/dev/null || fail=1
# The rest ensure that the documented uses cases
# proceed without error